Subject: RE: [Ltru] Re: New ISO 639 language identifier approved: Swiss German; Alemanic

From: "Addison Phillips" <[email-masked]>
Date: Mon, 7 Nov 2005 11:28:28 -0800

Hi Erik,

First, I agree that we should just insert 'gsw' using the normal registration process rather than into draft-initial. The draft-initial boat has sailed. Inserting 'gsw' into it during AUTH48 is pointless, because the RFC Editor will merely remove it anyway. What's important is what goes into the actual registry. Having exactly one subtag (so far) to insert is hardly a major burden.

"de-CH-*" tags will be redundant because all of their subtags are registered in the registry regardless of whether 'gsw' is added or not. Redundancy vs. grandfathered status is not a function of whether any particular tag is a good choice or not for a given piece of content.

Furthermore, the "de-CH" tag (and its friends) really are not in collision with 'gsw'. This was discussed on the ietf-languages list. The subtag 'de' is for German, that is, for standard German. Alemanic is actually a separate language, according to the correspondents on that list, despite its English name. Thus the various "de-CH" tags in existence are not necessarily in need of replacement. Content authors, ultimately, must decide if their content is German with a Swiss accent or Schwyzerdeutsch.

As for the Suppress-Script value for 'gsw', etc.: that's what the registration process is for. I agree that it should suppress 'Latn', and doubt that we'll find any demurrers.

Finally, if 'gsw' followed the same spelling and orthographic reforms that standard German did, then someone can register a change to the '1901' and '1996' subtags to cover those cases. All of these things are good tests for the registration process.

Notice how much cleaner this is than RFC 3066, though: under RFC 3066, if what you're saying were to prove correct, we would have to deprecate any number of tags (each with its own registration period) and then separately register a half dozen tags. With 3066bis, we merely insert 'gsw' and add a Prefix to the spelling reform tags. (We might trouble ourselves to deprecate the old de-CH-* tags too, although this is unnecessary, given that they are merely placeholders for old 3066 registrations).

Best Regards,

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Erik van der Poel
> Sent: 2005年11月7日 10:21
> To: Doug Ewell
> Cc: LTRU Working Group
> Subject: Re: [Ltru] Re: New ISO 639 language identifier approved: Swiss
> German;Alemanic
> 
> I'm wondering whether it might be better to delay the addition of "gsw"
> until after the 2 IDs currently at the IESG stage get published as RFCs.
> It just seems like "gsw" has a number of issues hanging off of it, and
> that any "rushed" addition might miss something or cause an error. I may
> be overreacting -- if so, please let me know, I'm new here.
> 
> Now for the issues themselves. There are already a couple of "redundant"
> tags for Swiss German: de-CH-1901 and de-CH-1996. However, if we add
> "gsw" and it becomes the preferred subtag for Swiss German, then those
> de-CH tags are no longer "redundant" in the normal sense of that word.
> Should we then add a Preferred-Value (or a See-Also) to those
> "redundant" entries? Rules 8 and 10 in Section 3.4 of the registry ID
> appear to talk specifically about language subtags, but I didn't
> immediately notice any discussion of language-COUNTRY combos like de-CH.
> I'm probably missing something -- let me know.
> 
> If it is true that Switzerland's orthography years were the same as
> Germany's (1901 and 1996), then should the entry for the "variant" with
> the subtag "1901" also have the prefix "gsw" (and likewise for 1996)?
> 
> If German has a Suppress-Script of Latn, shouldn't "gsw" also have that?
> 
> On the other hand, if this "gsw" case raises a number of issues in the
> IDs, we may want to delay them to fix them (for new rules that would
> cover this sort of case). Not that I want to be the person blamed for
> the delay of these RFCs!
> 
> Erik
> 
> Doug Ewell wrote:
> > Håvard Hjulstad <HHj at standard dot no> wrote on ietf-languages:
> >
> >> The ISO 639 Registration Authorities' Joint Advisory Committee (JAC)
> >> has approved the following:
> >>
> >> Alpha-3 identifier in ISO 639-2: gsw
> >>
> >> (No alpha-2 identifier has been assigned)
> >>
> >> English name: Swiss German; Alemanic
> >>
> >> French name: alémanique
> >>
> >> Indigenous name: Schwyzerdütsch
> >
> > This implies that the following primary language subtag will need to be
> > added to the initial registry:
> >
> > Type: language
> > Subtag: gsw
> > Description: Swiss German
> > Description: Alemanic
> > Added: 2005-11-04
> >
> > I am working with the co-chairs to determine the best way to add this to
> > draft-ietf-ltru-initial-06.
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru